This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 161878 - FC4 installs but is unbootable - no boot signature
FC4 installs but is unbootable - no boot signature
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-27 21:07 EDT by Bill Waddington
Modified: 2008-02-17 01:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-17 01:14:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Waddington 2005-06-27 21:07:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
ThinkPad T43. Multiboot XP, Fat32 scratch partition, FCx, Solaris 10.  All primary partitions.  Bootloader in MBR is System Commander 8.  New install of FC4 into partition previously occupied by FC3.  FC4 install runs to completion, but on reboot attempt System Commander says no boot signature.

I can boot CD to rescue mode and mount sysimage.  grub-install '(hd0,2)' hangs a long time then reports "the file /boot/grub/stage1 not read correctly".

Reinstalling FC3 (new install) to the same partition produces an identical corrupted installation.  Yikes!  FC4 install tweaked the partition (table?).  The partition info looks OK though.

To verify that it was an FC4 problem, I deleted the partition and recreated it.  Then a clean FC3 install which now went OK.  Then _updated_ to FC4 w/out allowing a bootloader update, and FC4 is now bootable.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set up multiboot T43
2. Install FC4
3. Bob's your uncle
  

Actual Results:  Unbootable partiton - no boot signature.  The rest of the partition seems OK.  Can mount from CD.

Expected Results:  The obvious.

Additional info:
Comment 1 Peter Jones 2005-07-06 18:47:32 EDT
Can you reproduce this without using System Commander?
Comment 2 Bill Waddington 2005-07-06 20:03:23 EDT
Hi Peter,

I'm on holiday for a week so I may not be able to get to this for a few days.  I
will have to re-install FC4.  Is it a sufficient test to verify that when it
fails I can't boot FC4 from a grub CD or System Commander, or did you have
something else in mind?

Since grub-install failed I don't expect any difference but I'm happy to try.

Bill
Comment 3 Bill Waddington 2005-07-10 13:01:38 EDT
Peter,

I just reinstalled FC4 as a new install to the parition previously occupied by
FC3 updated to FC4 so I could test booting from a grub CD.

Unfortunately (!?) this time it installed and boots OK.  At this point I don't
know what to tell you.  My previous (multiple) clean installs all failed to boot
(including FC3 after FC4 failed) whether over a previous install or into a
deleted and rebuilt partition.

Barring some very strange damage caused by the Solaris snv_16 install that
persisted through the delete, recreate, install process I have to chalk this up
as "transient".  Shit.

Toss this into the bit bucket unless you get similar reports, I guess.  (Have yo
u had similar reports?)

Thanks for following up on my report,
Bill
Comment 4 Gabriel Cardaro 2005-08-23 07:22:39 EDT
Same type of problem I'm having. I upgraded from FC3 to FC4, the install went
fine. Rebooted after it checks for other boot media and such it tries to boot
the partition but hangs up with the word GRUB and a flashing curser (not the
grub cammand line cursor)

Till its fixed I ripped out the FC4 partitions and reinstalled FC3.
Comment 5 Christian Iseli 2007-01-22 05:18:52 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 6 petrosyan 2008-02-17 01:14:51 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.